"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getTable = void 0;
const createPredicate = (app, tags) => {
  return item => {
    return item.app === app && tags.every(tag => item.tags.includes(tag));
  };
};
const getTable = params => {
  const {
    context,
    type
  } = params;
  const getByPredicate = predicate => {
    const item = context.db.registry.getOneItem(predicate);
    return item.item;
  };
  const entity = getByPredicate(createPredicate("cms", [type]));
  if (!entity) {
    throw new Error(`Unknown entity type "${type}".`);
  }
  return entity.table;
};
exports.getTable = getTable;

//# sourceMappingURL=getTable.js.map